org.springframework.jms.support

## Interface JmsHeaderMapper

All Superinterfaces:
  org.springframework.messaging.support.HeaderMapper<Message>

All Known Implementing Classes:
  SimpleJmsHeaderMapper

    public interface JmsHeaderMapper
    extends org.springframework.messaging.support.HeaderMapper<Message>

Strategy interface for mapping `Message` headers to an outbound JMS `Message` (e.g. to configure JMS properties) or extracting messaging header values from an inbound JMS Message.

Since:
  4.1
Author:
  Mark Fisher, Oleg Zhurakousky, Gary Russell

### Field Summary

Fields
`static String` `CONTENT_TYPE_PROPERTY` The JMS-compliant `content_type` property.

### Method Summary

### Methods inherited from interface org.springframework.messaging.support.HeaderMapper

`fromHeaders, toHeaders`

### Field Detail

#### CONTENT_TYPE_PROPERTY

    static final String CONTENT_TYPE_PROPERTY

The JMS-compliant `content_type` property.

See Also:
  Constant Field Values